# $Revision: 1.4 $, $Date: 2004/10/09 11:04:07 $
Summary:	Mingw32 GNU binary utility development utilities - DirectX 5.0 API
Summary(pl):	Skrone narzdzia programistyczne GNU dla Mingw32 - API DirectX 5.0
Name:		crossmingw32-dx50
Version:	5.0
Release:	2
Epoch:		1
License:	Free (libs), (c) Microsoft Corporation (headers)
Group:		Development/Libraries
# headers are Copyright (C) 19xx Microsoft Corporation - what about license???
# (even if distributable, are they "Free"?!)
Source0:	http://www.libsdl.org/extras/win32/common/directx-devel.tar.gz
# Source0-md5:	389a36e4d209c0a76bea7d7cb6315315
URL:		http://www.libsdl.org/extras/win32/common/
Requires:	crossmingw32-runtime
Provides:	crossmingw32-w32api-dx
Obsoletes:	crossmingw32-w32api-dx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-mingw32
%define		target_platform i386-pc-mingw32
%define		arch		%{_prefix}/%{target}

%define		__unzip		unzip -q -o
# strip fails on static COFF files
%define		no_install_post_strip 1

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains DirectX 5.0 API includes and libraries.

%description -l pl
crossmingw32 jest kompletnym systemem do kompilacji skronej,
pozwalajcym budowa aplikacje MS Windows pod Linuksem uywajc
bibliotek mingw32. System skada si z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujce kod dla platformy i386-mingw32, oraz
z bibliotek w formacie COFF.

Ten pakiet zawiera pliki nagwkowe i biblioteki API DirectX 5.0.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/{include,lib}

cp -fa include/* $RPM_BUILD_ROOT%{arch}/include
cp -fa lib/* $RPM_BUILD_ROOT%{arch}/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/*
%{arch}/lib/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-dx50.spec,v $
Revision 1.4  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.3  2004/01/18 15:55:29  wolf
- is there a reason for ExclusiveArch?

Revision 1.2  2003/12/23 15:23:46  eothane
- Source1-md5 should be Source0-md5

Revision 1.1  2003/12/23 15:19:44  wolf
- SDL finally works, though only static linking

